" Vim syntax file
" Language: Vimdir entry file
" Current Maintainer: Anon
" Last Change: 2025

let b:current_syntax = "vimdir"

syn match vdId          "^\d\+"
syn match vdSeparator   ":"
syn match vdPermissions "[-dcbpls][-rwx]\{9}"
syn match vdDirectory     "[^\t ]\+/"
" NOTE: tabs are used for field separation,
"        however it is possible that the user has expandtab on.
"       this would confuse the lexer, leading to unexpected results.
"       therefor, it is a good idea to warn the user.
"       that said, spaces are valid inside file names.
syn match vdSpace       " "

hi link vdId            Number
hi link vdSeparator     Statement
hi link vdPermissions   Special
hi link vdSpace         Error
hi link vdDirectory     Directory

" #placeholder<ls_colors> BEGIN
syn match vd7z "[^/\t]*.7z$"
syn match vdWARC "[^/\t]*.WARC$"
syn match vda "[^/\t]*.a$"
syn match vdarj "[^/\t]*.arj$"
syn match vdbr "[^/\t]*.br$"
syn match vdbz2 "[^/\t]*.bz2$"
syn match vdcpio "[^/\t]*.cpio$"
syn match vdgz "[^/\t]*.gz$"
syn match vdlrz "[^/\t]*.lrz$"
syn match vdlz "[^/\t]*.lz$"
syn match vdlzma "[^/\t]*.lzma$"
syn match vdlzo "[^/\t]*.lzo$"
syn match vdrar "[^/\t]*.rar$"
syn match vds7z "[^/\t]*.s7z$"
syn match vdsz "[^/\t]*.sz$"
syn match vdtar "[^/\t]*.tar$"
syn match vdtbz "[^/\t]*.tbz$"
syn match vdtgz "[^/\t]*.tgz$"
syn match vdwarc "[^/\t]*.warc$"
syn match vdxz "[^/\t]*.xz$"
syn match vdz "[^/\t]*.z$"
syn match vdzip "[^/\t]*.zip$"
syn match vdzipx "[^/\t]*.zipx$"
syn match vdzoo "[^/\t]*.zoo$"
syn match vdzpaq "[^/\t]*.zpaq$"
syn match vdzst "[^/\t]*.zst$"
syn match vdzstd "[^/\t]*.zstd$"
syn match vdzz "[^/\t]*.zz$"
syn match vdservice "[^/\t]*@.service$"
syn match vdAUTHORS "[^/\t]*AUTHORS$"
syn match vdCHANGELOG "[^/\t]*CHANGELOG$"
syn match vdCHANGELOGmd "[^/\t]*CHANGELOG.md$"
syn match vdCHANGES "[^/\t]*CHANGES$"
syn match vdCODEOWNERS "[^/\t]*CODEOWNERS$"
syn match vdCONTRIBUTING "[^/\t]*CONTRIBUTING$"
syn match vdCONTRIBUTINGmd "[^/\t]*CONTRIBUTING.md$"
syn match vdCONTRIBUTORS "[^/\t]*CONTRIBUTORS$"
syn match vdCOPYING "[^/\t]*COPYING$"
syn match vdCOPYRIGHT "[^/\t]*COPYRIGHT$"
syn match vdCodeResources "[^/\t]*CodeResources$"
syn match vdContainerfile "[^/\t]*Containerfile$"
syn match vdDockerfile "[^/\t]*Dockerfile$"
syn match vdHISTORY "[^/\t]*HISTORY$"
syn match vdINSTALL "[^/\t]*INSTALL$"
syn match vdLICENSE "[^/\t]*LICENSE$"
syn match vdLICENSEmd "[^/\t]*LICENSE.md$"
syn match vdLSCOLORS "[^/\t]*LS_COLORS$"
syn match vdMANIFEST "[^/\t]*MANIFEST$"
syn match vdMakefile "[^/\t]*Makefile$"
syn match vdNOTICE "[^/\t]*NOTICE$"
syn match vdPATENTS "[^/\t]*PATENTS$"
syn match vdPkgInfo "[^/\t]*PkgInfo$"
syn match vdREADME "[^/\t]*README$"
syn match vdREADMEmd "[^/\t]*README.md$"
syn match vdREADMErst "[^/\t]*README.rst$"
syn match vdVERSION "[^/\t]*VERSION$"
syn match vdauthorizedkeys "[^/\t]*authorized_keys$"
syn match vdcfg "[^/\t]*cfg$"
syn match vdconf "[^/\t]*conf$"
syn match vdconfig "[^/\t]*config$"
syn match vdcore "[^/\t]*core$"
syn match vdiddsa "[^/\t]*id_dsa$"
syn match vdidecdsa "[^/\t]*id_ecdsa$"
syn match vdided25519 "[^/\t]*id_ed25519$"
syn match vdidrsa "[^/\t]*id_rsa$"
syn match vdknownhosts "[^/\t]*known_hosts$"
syn match vdlock "[^/\t]*lock$"
syn match vdlockfile "[^/\t]*lockfile$"
syn match vdpmtoblib "[^/\t]*pm_to_blib$"
syn match vdrc "[^/\t]*rc$"
syn match vd1p "[^/\t]*.1p$"
syn match vd32x "[^/\t]*.32x$"
syn match vd3g2 "[^/\t]*.3g2$"
syn match vd3ga "[^/\t]*.3ga$"
syn match vd3gp "[^/\t]*.3gp$"
syn match vd3p "[^/\t]*.3p$"
syn match vd82p "[^/\t]*.82p$"
syn match vd83p "[^/\t]*.83p$"
syn match vd8eu "[^/\t]*.8eu$"
syn match vd8xe "[^/\t]*.8xe$"
syn match vd8xp "[^/\t]*.8xp$"
syn match vdA64 "[^/\t]*.A64$"
syn match vdBAT "[^/\t]*.BAT$"
syn match vdBUP "[^/\t]*.BUP$"
syn match vdC "[^/\t]*.C$"
syn match vdCFUserTextEncoding "[^/\t]*.CFUserTextEncoding$"
syn match vdDSStore "[^/\t]*.DS_Store$"
syn match vdF "[^/\t]*.F$"
syn match vdF03 "[^/\t]*.F03$"
syn match vdF08 "[^/\t]*.F08$"
syn match vdF90 "[^/\t]*.F90$"
syn match vdF95 "[^/\t]*.F95$"
syn match vdH "[^/\t]*.H$"
syn match vdIFO "[^/\t]*.IFO$"
syn match vdJPG "[^/\t]*.JPG$"
syn match vdM "[^/\t]*.M$"
syn match vdMOV "[^/\t]*.MOV$"
syn match vdPDF "[^/\t]*.PDF$"
syn match vdPFA "[^/\t]*.PFA$"
syn match vdPL "[^/\t]*.PL$"
syn match vdR "[^/\t]*.R$"
syn match vdRData "[^/\t]*.RData$"
syn match vdRproj "[^/\t]*.Rproj$"
syn match vdS "[^/\t]*.S$"
syn match vdS3M "[^/\t]*.S3M$"
syn match vdSKIP "[^/\t]*.SKIP$"
syn match vdTIFF "[^/\t]*.TIFF$"
syn match vdVOB "[^/\t]*.VOB$"
syn match vda00 "[^/\t]*.a00$"
syn match vda52 "[^/\t]*.a52$"
syn match vda64 "[^/\t]*.a64$"
syn match vda78 "[^/\t]*.a78$"
syn match vdaac "[^/\t]*.aac$"
syn match vdaccdb "[^/\t]*.accdb$"
syn match vdaccde "[^/\t]*.accde$"
syn match vdaccdr "[^/\t]*.accdr$"
syn match vdaccdt "[^/\t]*.accdt$"
syn match vdadf "[^/\t]*.adf$"
syn match vdadoc "[^/\t]*.adoc$"
syn match vdafm "[^/\t]*.afm$"
syn match vdagda "[^/\t]*.agda$"
syn match vdagdai "[^/\t]*.agdai$"
syn match vdahk "[^/\t]*.ahk$"
syn match vdai "[^/\t]*.ai$"
syn match vdaiff "[^/\t]*.aiff$"
syn match vdalac "[^/\t]*.alac$"
syn match vdallow "[^/\t]*.allow$"
syn match vdam "[^/\t]*.am$"
syn match vdamr "[^/\t]*.amr$"
syn match vdape "[^/\t]*.ape$"
syn match vdapk "[^/\t]*.apk$"
syn match vdapplication "[^/\t]*.application$"
syn match vdaria2 "[^/\t]*.aria2$"
syn match vdasc "[^/\t]*.asc$"
syn match vdasciidoc "[^/\t]*.asciidoc$"
syn match vdasf "[^/\t]*.asf$"
syn match vdasm "[^/\t]*.asm$"
syn match vdass "[^/\t]*.ass$"
syn match vdastro "[^/\t]*.astro$"
syn match vdatr "[^/\t]*.atr$"
syn match vdau "[^/\t]*.au$"
syn match vdautomount "[^/\t]*.automount$"
syn match vdavi "[^/\t]*.avi$"
syn match vdawk "[^/\t]*.awk$"
syn match vdbak "[^/\t]*.bak$"
syn match vdbash "[^/\t]*.bash$"
syn match vdbashlogin "[^/\t]*.bash_login$"
syn match vdbashlogout "[^/\t]*.bash_logout$"
syn match vdbashprofile "[^/\t]*.bash_profile$"
syn match vdbat "[^/\t]*.bat$"
syn match vdbfe "[^/\t]*.bfe$"
syn match vdbib "[^/\t]*.bib$"
syn match vdbin "[^/\t]*.bin$"
syn match vdbmp "[^/\t]*.bmp$"
syn match vdbsp "[^/\t]*.bsp$"
syn match vdc "[^/\t]*.c$"
syn match vdc "[^/\t]*.c++$"
syn match vdcab "[^/\t]*.cab$"
syn match vdcaf "[^/\t]*.caf$"
syn match vdcap "[^/\t]*.cap$"
syn match vdcar "[^/\t]*.car$"
syn match vdcbr "[^/\t]*.cbr$"
syn match vdcbz "[^/\t]*.cbz$"
syn match vdcc "[^/\t]*.cc$"
syn match vdcda "[^/\t]*.cda$"
syn match vdcdi "[^/\t]*.cdi$"
syn match vdcdr "[^/\t]*.cdr$"
syn match vdchm "[^/\t]*.chm$"
syn match vdcjs "[^/\t]*.cjs$"
syn match vdcl "[^/\t]*.cl$"
syn match vdclj "[^/\t]*.clj$"
syn match vdcljc "[^/\t]*.cljc$"
syn match vdcljs "[^/\t]*.cljs$"
syn match vdcljw "[^/\t]*.cljw$"
syn match vdcnc "[^/\t]*.cnc$"
syn match vdcoffee "[^/\t]*.coffee$"
syn match vdcomp "[^/\t]*.comp$"
syn match vdcontainerignore "[^/\t]*.containerignore$"
syn match vdcp "[^/\t]*.cp$"
syn match vdcpp "[^/\t]*.cpp$"
syn match vdcr "[^/\t]*.cr$"
syn match vdcrx "[^/\t]*.crx$"
syn match vdcs "[^/\t]*.cs$"
syn match vdcss "[^/\t]*.css$"
syn match vdcsv "[^/\t]*.csv$"
syn match vdctp "[^/\t]*.ctp$"
syn match vdcue "[^/\t]*.cue$"
syn match vdcxx "[^/\t]*.cxx$"
syn match vddart "[^/\t]*.dart$"
syn match vddat "[^/\t]*.dat$"
syn match vddb "[^/\t]*.db$"
syn match vddeb "[^/\t]*.deb$"
syn match vddef "[^/\t]*.def$"
syn match vddeny "[^/\t]*.deny$"
syn match vddescription "[^/\t]*.description$"
syn match vddevice "[^/\t]*.device$"
syn match vddhall "[^/\t]*.dhall$"
syn match vddicom "[^/\t]*.dicom$"
syn match vddiff "[^/\t]*.diff$"
syn match vddirectory "[^/\t]*.directory$"
syn match vddivx "[^/\t]*.divx$"
syn match vddjvu "[^/\t]*.djvu$"
syn match vddll "[^/\t]*.dll$"
syn match vddmg "[^/\t]*.dmg$"
syn match vddmp "[^/\t]*.dmp$"
syn match vddoc "[^/\t]*.doc$"
syn match vddockerignore "[^/\t]*.dockerignore$"
syn match vddocm "[^/\t]*.docm$"
syn match vddocx "[^/\t]*.docx$"
syn match vddrw "[^/\t]*.drw$"
syn match vddtd "[^/\t]*.dtd$"
syn match vddts "[^/\t]*.dts$"
syn match vddump "[^/\t]*.dump$"
syn match vddwg "[^/\t]*.dwg$"
syn match vddylib "[^/\t]*.dylib$"
syn match vdear "[^/\t]*.ear$"
syn match vdejs "[^/\t]*.ejs$"
syn match vdel "[^/\t]*.el$"
syn match vdelc "[^/\t]*.elc$"
syn match vdeln "[^/\t]*.eln$"
syn match vdeml "[^/\t]*.eml$"
syn match vdenc "[^/\t]*.enc$"
syn match vdentitlements "[^/\t]*.entitlements$"
syn match vdepf "[^/\t]*.epf$"
syn match vdeps "[^/\t]*.eps$"
syn match vdepsf "[^/\t]*.epsf$"
syn match vdepub "[^/\t]*.epub$"
syn match vderr "[^/\t]*.err$"
syn match vderror "[^/\t]*.error$"
syn match vdetx "[^/\t]*.etx$"
syn match vdex "[^/\t]*.ex$"
syn match vdexample "[^/\t]*.example$"
syn match vdf "[^/\t]*.f$"
syn match vdf03 "[^/\t]*.f03$"
syn match vdf08 "[^/\t]*.f08$"
syn match vdf4v "[^/\t]*.f4v$"
syn match vdf90 "[^/\t]*.f90$"
syn match vdf95 "[^/\t]*.f95$"
syn match vdfcm "[^/\t]*.fcm$"
syn match vdfeature "[^/\t]*.feature$"
syn match vdfish "[^/\t]*.fish$"
syn match vdflac "[^/\t]*.flac$"
syn match vdflif "[^/\t]*.flif$"
syn match vdflv "[^/\t]*.flv$"
syn match vdfm2 "[^/\t]*.fm2$"
syn match vdfmp12 "[^/\t]*.fmp12$"
syn match vdfnt "[^/\t]*.fnt$"
syn match vdfon "[^/\t]*.fon$"
syn match vdfor "[^/\t]*.for$"
syn match vdfp7 "[^/\t]*.fp7$"
syn match vdfrag "[^/\t]*.frag$"
syn match vdftn "[^/\t]*.ftn$"
syn match vdfvd "[^/\t]*.fvd$"
syn match vdfxml "[^/\t]*.fxml$"
syn match vdgb "[^/\t]*.gb$"
syn match vdgba "[^/\t]*.gba$"
syn match vdgbc "[^/\t]*.gbc$"
syn match vdgbr "[^/\t]*.gbr$"
syn match vdgel "[^/\t]*.gel$"
syn match vdgemspec "[^/\t]*.gemspec$"
syn match vdger "[^/\t]*.ger$"
syn match vdgg "[^/\t]*.gg$"
syn match vdggl "[^/\t]*.ggl$"
syn match vdgif "[^/\t]*.gif$"
syn match vdgit "[^/\t]*.git$"
syn match vdgitattributes "[^/\t]*.gitattributes$"
syn match vdgithub "[^/\t]*.github$"
syn match vdgitignore "[^/\t]*.gitignore$"
syn match vdgitmodules "[^/\t]*.gitmodules$"
syn match vdgo "[^/\t]*.go$"
syn match vdgp3 "[^/\t]*.gp3$"
syn match vdgp4 "[^/\t]*.gp4$"
syn match vdgpg "[^/\t]*.gpg$"
syn match vdgs "[^/\t]*.gs$"
syn match vdh "[^/\t]*.h$"
syn match vdh "[^/\t]*.h++$"
syn match vdhi "[^/\t]*.hi$"
syn match vdhiddencolorscheme "[^/\t]*.hidden-color-scheme$"
syn match vdhiddentmTheme "[^/\t]*.hidden-tmTheme$"
syn match vdhin "[^/\t]*.hin$"
syn match vdhjson "[^/\t]*.hjson$"
syn match vdhpp "[^/\t]*.hpp$"
syn match vdhs "[^/\t]*.hs$"
syn match vdhtm "[^/\t]*.htm$"
syn match vdhtml "[^/\t]*.html$"
syn match vdhttp "[^/\t]*.http$"
syn match vdhxx "[^/\t]*.hxx$"
syn match vdicns "[^/\t]*.icns$"
syn match vdico "[^/\t]*.ico$"
syn match vdics "[^/\t]*.ics$"
syn match vdii "[^/\t]*.ii$"
syn match vdimg "[^/\t]*.img$"
syn match vdiml "[^/\t]*.iml$"
syn match vdin "[^/\t]*.in$"
syn match vdinfo "[^/\t]*.info$"
syn match vdini "[^/\t]*.ini$"
syn match vdipa "[^/\t]*.ipa$"
syn match vdipk "[^/\t]*.ipk$"
syn match vdipynb "[^/\t]*.ipynb$"
syn match vdiso "[^/\t]*.iso$"
syn match vdj64 "[^/\t]*.j64$"
syn match vdjad "[^/\t]*.jad$"
syn match vdjar "[^/\t]*.jar$"
syn match vdjava "[^/\t]*.java$"
syn match vdjhtm "[^/\t]*.jhtm$"
syn match vdjpeg "[^/\t]*.jpeg$"
syn match vdjpg "[^/\t]*.jpg$"
syn match vdjs "[^/\t]*.js$"
syn match vdjsm "[^/\t]*.jsm$"
syn match vdjson "[^/\t]*.json$"
syn match vdjson5 "[^/\t]*.json5$"
syn match vdjsonc "[^/\t]*.jsonc$"
syn match vdjsonl "[^/\t]*.jsonl$"
syn match vdjsonnet "[^/\t]*.jsonnet$"
syn match vdjsp "[^/\t]*.jsp$"
syn match vdjsx "[^/\t]*.jsx$"
syn match vdjxl "[^/\t]*.jxl$"
syn match vdkak "[^/\t]*.kak$"
syn match vdkey "[^/\t]*.key$"
syn match vdlagda "[^/\t]*.lagda$"
syn match vdlagdamd "[^/\t]*.lagda.md$"
syn match vdlagdarst "[^/\t]*.lagda.rst$"
syn match vdlagdatex "[^/\t]*.lagda.tex$"
syn match vdlastrun "[^/\t]*.last-run$"
syn match vdless "[^/\t]*.less$"
syn match vdlhs "[^/\t]*.lhs$"
syn match vdlibsonnet "[^/\t]*.libsonnet$"
syn match vdlisp "[^/\t]*.lisp$"
syn match vdlnk "[^/\t]*.lnk$"
syn match vdlocalized "[^/\t]*.localized$"
syn match vdlocalstorage "[^/\t]*.localstorage$"
syn match vdlog "[^/\t]*.log$"
syn match vdlua "[^/\t]*.lua$"
syn match vdm "[^/\t]*.m$"
syn match vdm2v "[^/\t]*.m2v$"
syn match vdm3u "[^/\t]*.m3u$"
syn match vdm3u8 "[^/\t]*.m3u8$"
syn match vdm4 "[^/\t]*.m4$"
syn match vdm4a "[^/\t]*.m4a$"
syn match vdm4v "[^/\t]*.m4v$"
syn match vdmap "[^/\t]*.map$"
syn match vdmarkdown "[^/\t]*.markdown$"
syn match vdmd "[^/\t]*.md$"
syn match vdmd5 "[^/\t]*.md5$"
syn match vdmdb "[^/\t]*.mdb$"
syn match vdmde "[^/\t]*.mde$"
syn match vdmdump "[^/\t]*.mdump$"
syn match vdmdx "[^/\t]*.mdx$"
syn match vdmergedcabundle "[^/\t]*.merged-ca-bundle$"
syn match vdmf "[^/\t]*.mf$"
syn match vdmfasl "[^/\t]*.mfasl$"
syn match vdmht "[^/\t]*.mht$"
syn match vdmi "[^/\t]*.mi$"
syn match vdmid "[^/\t]*.mid$"
syn match vdmidi "[^/\t]*.midi$"
syn match vdmjs "[^/\t]*.mjs$"
syn match vdmkd "[^/\t]*.mkd$"
syn match vdmkv "[^/\t]*.mkv$"
syn match vdml "[^/\t]*.ml$"
syn match vdmm "[^/\t]*.mm$"
syn match vdmobi "[^/\t]*.mobi$"
syn match vdmod "[^/\t]*.mod$"
syn match vdmoon "[^/\t]*.moon$"
syn match vdmount "[^/\t]*.mount$"
syn match vdmov "[^/\t]*.mov$"
syn match vdmp3 "[^/\t]*.mp3$"
syn match vdmp4 "[^/\t]*.mp4$"
syn match vdmp4a "[^/\t]*.mp4a$"
syn match vdmpeg "[^/\t]*.mpeg$"
syn match vdmpg "[^/\t]*.mpg$"
syn match vdmsg "[^/\t]*.msg$"
syn match vdmsql "[^/\t]*.msql$"
syn match vdmtx "[^/\t]*.mtx$"
syn match vdmustache "[^/\t]*.mustache$"
syn match vdmysql "[^/\t]*.mysql$"
syn match vdnc "[^/\t]*.nc$"
syn match vdndjson "[^/\t]*.ndjson$"
syn match vdnds "[^/\t]*.nds$"
syn match vdnes "[^/\t]*.nes$"
syn match vdnfo "[^/\t]*.nfo$"
syn match vdnib "[^/\t]*.nib$"
syn match vdnim "[^/\t]*.nim$"
syn match vdnimble "[^/\t]*.nimble$"
syn match vdnix "[^/\t]*.nix$"
syn match vdnorg "[^/\t]*.norg$"
syn match vdnrg "[^/\t]*.nrg$"
syn match vdnth "[^/\t]*.nth$"
syn match vdnumbers "[^/\t]*.numbers$"
syn match vdo "[^/\t]*.o$"
syn match vdodb "[^/\t]*.odb$"
syn match vdodp "[^/\t]*.odp$"
syn match vdods "[^/\t]*.ods$"
syn match vdodt "[^/\t]*.odt$"
syn match vdoga "[^/\t]*.oga$"
syn match vdogg "[^/\t]*.ogg$"
syn match vdogm "[^/\t]*.ogm$"
syn match vdogv "[^/\t]*.ogv$"
syn match vdold "[^/\t]*.old$"
syn match vdopus "[^/\t]*.opus$"
syn match vdorg "[^/\t]*.org$"
syn match vdorig "[^/\t]*.orig$"
syn match vdotf "[^/\t]*.otf$"
syn match vdout "[^/\t]*.out$"
syn match vdp12 "[^/\t]*.p12$"
syn match vdp7s "[^/\t]*.p7s$"
syn match vdpacnew "[^/\t]*.pacnew$"
syn match vdpages "[^/\t]*.pages$"
syn match vdpak "[^/\t]*.pak$"
syn match vdpart "[^/\t]*.part$"
syn match vdpatch "[^/\t]*.patch$"
syn match vdpath "[^/\t]*.path$"
syn match vdpbxproj "[^/\t]*.pbxproj$"
syn match vdpc "[^/\t]*.pc$"
syn match vdpcap "[^/\t]*.pcap$"
syn match vdpcb "[^/\t]*.pcb$"
syn match vdpcf "[^/\t]*.pcf$"
syn match vdpcm "[^/\t]*.pcm$"
syn match vdpdf "[^/\t]*.pdf$"
syn match vdpem "[^/\t]*.pem$"
syn match vdpfa "[^/\t]*.pfa$"
syn match vdpfb "[^/\t]*.pfb$"
syn match vdpfm "[^/\t]*.pfm$"
syn match vdpgn "[^/\t]*.pgn$"
syn match vdpgp "[^/\t]*.pgp$"
syn match vdpgsql "[^/\t]*.pgsql$"
syn match vdphp "[^/\t]*.php$"
syn match vdpi "[^/\t]*.pi$"
syn match vdpid "[^/\t]*.pid$"
syn match vdpk3 "[^/\t]*.pk3$"
syn match vdpl "[^/\t]*.pl$"
syn match vdplist "[^/\t]*.plist$"
syn match vdplt "[^/\t]*.plt$"
syn match vdply "[^/\t]*.ply$"
syn match vdpm "[^/\t]*.pm$"
syn match vdpng "[^/\t]*.png$"
syn match vdpod "[^/\t]*.pod$"
syn match vdpot "[^/\t]*.pot$"
syn match vdpps "[^/\t]*.pps$"
syn match vdppt "[^/\t]*.ppt$"
syn match vdppts "[^/\t]*.ppts$"
syn match vdpptsm "[^/\t]*.pptsm$"
syn match vdpptx "[^/\t]*.pptx$"
syn match vdpptxm "[^/\t]*.pptxm$"
syn match vdprisma "[^/\t]*.prisma$"
syn match vdprofile "[^/\t]*.profile$"
syn match vdproperties "[^/\t]*.properties$"
syn match vdprql "[^/\t]*.prql$"
syn match vdps "[^/\t]*.ps$"
syn match vdpsd "[^/\t]*.psd$"
syn match vdpsf "[^/\t]*.psf$"
syn match vdpug "[^/\t]*.pug$"
syn match vdpxd "[^/\t]*.pxd$"
syn match vdpxm "[^/\t]*.pxm$"
syn match vdpy "[^/\t]*.py$"
syn match vdpyc "[^/\t]*.pyc$"
syn match vdqcow "[^/\t]*.qcow$"
syn match vdr "[^/\t]*.r$"
syn match vdr0902 "[^/\t]*.r[0-9]{0,2}$"
syn match vdrake "[^/\t]*.rake$"
syn match vdrb "[^/\t]*.rb$"
syn match vdrdata "[^/\t]*.rdata$"
syn match vdrdf "[^/\t]*.rdf$"
syn match vdrkt "[^/\t]*.rkt$"
syn match vdrlib "[^/\t]*.rlib$"
syn match vdrmvb "[^/\t]*.rmvb$"
syn match vdrnc "[^/\t]*.rnc$"
syn match vdrng "[^/\t]*.rng$"
syn match vdrom "[^/\t]*.rom$"
syn match vdrpm "[^/\t]*.rpm$"
syn match vdrs "[^/\t]*.rs$"
syn match vdrss "[^/\t]*.rss$"
syn match vdrst "[^/\t]*.rst$"
syn match vdrstheme "[^/\t]*.rstheme$"
syn match vdrtf "[^/\t]*.rtf$"
syn match vdru "[^/\t]*.ru$"
syn match vds "[^/\t]*.s$"
syn match vds3m "[^/\t]*.s3m$"
syn match vdsample "[^/\t]*.sample$"
syn match vdsass "[^/\t]*.sass$"
syn match vdsassc "[^/\t]*.sassc$"
syn match vdsav "[^/\t]*.sav$"
syn match vdsc "[^/\t]*.sc$"
syn match vdscala "[^/\t]*.scala$"
syn match vdscan "[^/\t]*.scan$"
syn match vdsch "[^/\t]*.sch$"
syn match vdscm "[^/\t]*.scm$"
syn match vdscpt "[^/\t]*.scpt$"
syn match vdscss "[^/\t]*.scss$"
syn match vdsed "[^/\t]*.sed$"
syn match vdservice "[^/\t]*.service$"
syn match vdsfv "[^/\t]*.sfv$"
syn match vdsgml "[^/\t]*.sgml$"
syn match vdsh "[^/\t]*.sh$"
syn match vdsid "[^/\t]*.sid$"
syn match vdsig "[^/\t]*.sig$"
syn match vdsignature "[^/\t]*.signature$"
syn match vdsis "[^/\t]*.sis$"
syn match vdsms "[^/\t]*.sms$"
syn match vdsnapshot "[^/\t]*.snapshot$"
syn match vdsocket "[^/\t]*.socket$"
syn match vdsparseimage "[^/\t]*.sparseimage$"
syn match vdspl "[^/\t]*.spl$"
syn match vdspv "[^/\t]*.spv$"
syn match vdsql "[^/\t]*.sql$"
syn match vdsqlite "[^/\t]*.sqlite$"
syn match vdsrt "[^/\t]*.srt$"
syn match vdssa "[^/\t]*.ssa$"
syn match vdst "[^/\t]*.st$"
syn match vdstackdump "[^/\t]*.stackdump$"
syn match vdstate "[^/\t]*.state$"
syn match vdstderr "[^/\t]*.stderr$"
syn match vdstl "[^/\t]*.stl$"
syn match vdstoryboard "[^/\t]*.storyboard$"
syn match vdstrings "[^/\t]*.strings$"
syn match vdsty "[^/\t]*.sty$"
syn match vdsub "[^/\t]*.sub$"
syn match vdsublimebuild "[^/\t]*.sublime-build$"
syn match vdsublimecommands "[^/\t]*.sublime-commands$"
syn match vdsublimekeymap "[^/\t]*.sublime-keymap$"
syn match vdsublimeproject "[^/\t]*.sublime-project$"
syn match vdsublimesettings "[^/\t]*.sublime-settings$"
syn match vdsublimesnippet "[^/\t]*.sublime-snippet$"
syn match vdsublimeworkspace "[^/\t]*.sublime-workspace$"
syn match vdsug "[^/\t]*.sug$"
syn match vdsup "[^/\t]*.sup$"
syn match vdsvelte "[^/\t]*.svelte$"
syn match vdsvg "[^/\t]*.svg$"
syn match vdswap "[^/\t]*.swap$"
syn match vdswift "[^/\t]*.swift$"
syn match vdswo "[^/\t]*.swo$"
syn match vdswp "[^/\t]*.swp$"
syn match vdsx "[^/\t]*.sx$"
syn match vdt "[^/\t]*.t$"
syn match vdtarget "[^/\t]*.target$"
syn match vdtcc "[^/\t]*.tcc$"
syn match vdtcl "[^/\t]*.tcl$"
syn match vdtdy "[^/\t]*.tdy$"
syn match vdtex "[^/\t]*.tex$"
syn match vdtextile "[^/\t]*.textile$"
syn match vdtf "[^/\t]*.tf$"
syn match vdtfm "[^/\t]*.tfm$"
syn match vdtfnt "[^/\t]*.tfnt$"
syn match vdtfstate "[^/\t]*.tfstate$"
syn match vdtfvars "[^/\t]*.tfvars$"
syn match vdtg "[^/\t]*.tg$"
syn match vdtheme "[^/\t]*.theme$"
syn match vdtif "[^/\t]*.tif$"
syn match vdtiff "[^/\t]*.tiff$"
syn match vdtimer "[^/\t]*.timer$"
syn match vdtmTheme "[^/\t]*.tmTheme$"
syn match vdtmp "[^/\t]*.tmp$"
syn match vdtoast "[^/\t]*.toast$"
syn match vdtoml "[^/\t]*.toml$"
syn match vdtorrent "[^/\t]*.torrent$"
syn match vdts "[^/\t]*.ts$"
syn match vdtsv "[^/\t]*.tsv$"
syn match vdtsx "[^/\t]*.tsx$"
syn match vdttf "[^/\t]*.ttf$"
syn match vdtwig "[^/\t]*.twig$"
syn match vdtxt "[^/\t]*.txt$"
syn match vdtypelib "[^/\t]*.typelib$"
syn match vdun "[^/\t]*.un\~$"
syn match vdurlview "[^/\t]*.urlview$"
syn match vdusercabundle "[^/\t]*.user-ca-bundle$"
syn match vdv "[^/\t]*.v$"
syn match vdvala "[^/\t]*.vala$"
syn match vdvapi "[^/\t]*.vapi$"
syn match vdvb "[^/\t]*.vb$"
syn match vdvba "[^/\t]*.vba$"
syn match vdvbs "[^/\t]*.vbs$"
syn match vdvcard "[^/\t]*.vcard$"
syn match vdvcd "[^/\t]*.vcd$"
syn match vdvcf "[^/\t]*.vcf$"
syn match vdvdf "[^/\t]*.vdf$"
syn match vdvdi "[^/\t]*.vdi$"
syn match vdvert "[^/\t]*.vert$"
syn match vdvfd "[^/\t]*.vfd$"
syn match vdvhd "[^/\t]*.vhd$"
syn match vdvhdx "[^/\t]*.vhdx$"
syn match vdvim "[^/\t]*.vim$"
syn match vdviminfo "[^/\t]*.viminfo$"
syn match vdvmdk "[^/\t]*.vmdk$"
syn match vdvob "[^/\t]*.vob$"
syn match vdvpk "[^/\t]*.vpk$"
syn match vdvtt "[^/\t]*.vtt$"
syn match vdvue "[^/\t]*.vue$"
syn match vdwar "[^/\t]*.war$"
syn match vdwav "[^/\t]*.wav$"
syn match vdwebloc "[^/\t]*.webloc$"
syn match vdwebm "[^/\t]*.webm$"
syn match vdwebp "[^/\t]*.webp$"
syn match vdwgsl "[^/\t]*.wgsl$"
syn match vdwma "[^/\t]*.wma$"
syn match vdwmv "[^/\t]*.wmv$"
syn match vdwoff "[^/\t]*.woff$"
syn match vdwoff2 "[^/\t]*.woff2$"
syn match vdwrl "[^/\t]*.wrl$"
syn match vdwv "[^/\t]*.wv$"
syn match vdwvc "[^/\t]*.wvc$"
syn match vdxcconfig "[^/\t]*.xcconfig$"
syn match vdxcf "[^/\t]*.xcf$"
syn match vdxcsettings "[^/\t]*.xcsettings$"
syn match vdxcuserstate "[^/\t]*.xcuserstate$"
syn match vdxcworkspacedata "[^/\t]*.xcworkspacedata$"
syn match vdxib "[^/\t]*.xib$"
syn match vdxla "[^/\t]*.xla$"
syn match vdxln "[^/\t]*.xln$"
syn match vdxls "[^/\t]*.xls$"
syn match vdxlsx "[^/\t]*.xlsx$"
syn match vdxlsxm "[^/\t]*.xlsxm$"
syn match vdxltm "[^/\t]*.xltm$"
syn match vdxltx "[^/\t]*.xltx$"
syn match vdxml "[^/\t]*.xml$"
syn match vdxpi "[^/\t]*.xpi$"
syn match vdxpm "[^/\t]*.xpm$"
syn match vdxsd "[^/\t]*.xsd$"
syn match vdxsh "[^/\t]*.xsh$"
syn match vdyaml "[^/\t]*.yaml$"
syn match vdyml "[^/\t]*.yml$"
syn match vdz0902 "[^/\t]*.z[0-9]{0,2}$"
syn match vdzcompdump "[^/\t]*.zcompdump$"
syn match vdzig "[^/\t]*.zig$"
syn match vdzlogin "[^/\t]*.zlogin$"
syn match vdzlogout "[^/\t]*.zlogout$"
syn match vdzprofile "[^/\t]*.zprofile$"
syn match vdzsh "[^/\t]*.zsh$"
syn match vdzshenv "[^/\t]*.zshenv$"
syn match vdzwc "[^/\t]*.zwc$"
syn match vdzx0902 "[^/\t]*.zx[0-9]{0,2}$"

hi def vd7z ctermfg=40
hi def vdWARC ctermfg=40
hi def vda ctermfg=40
hi def vdarj ctermfg=40
hi def vdbr ctermfg=40
hi def vdbz2 ctermfg=40
hi def vdcpio ctermfg=40
hi def vdgz ctermfg=40
hi def vdlrz ctermfg=40
hi def vdlz ctermfg=40
hi def vdlzma ctermfg=40
hi def vdlzo ctermfg=40
hi def vdrar ctermfg=40
hi def vds7z ctermfg=40
hi def vdsz ctermfg=40
hi def vdtar ctermfg=40
hi def vdtbz ctermfg=40
hi def vdtgz ctermfg=40
hi def vdwarc ctermfg=40
hi def vdxz ctermfg=40
hi def vdz ctermfg=40
hi def vdzip ctermfg=40
hi def vdzipx ctermfg=40
hi def vdzoo ctermfg=40
hi def vdzpaq ctermfg=40
hi def vdzst ctermfg=40
hi def vdzstd ctermfg=40
hi def vdzz ctermfg=40
hi def vdservice ctermfg=45
hi def vdAUTHORS ctermfg=220;1
hi def vdCHANGELOG ctermfg=220;1
hi def vdCHANGELOGmd ctermfg=220;1
hi def vdCHANGES ctermfg=220;1
hi def vdCODEOWNERS ctermfg=220;1
hi def vdCONTRIBUTING ctermfg=220;1
hi def vdCONTRIBUTINGmd ctermfg=220;1
hi def vdCONTRIBUTORS ctermfg=220;1
hi def vdCOPYING ctermfg=220;1
hi def vdCOPYRIGHT ctermfg=220;1
hi def vdCodeResources ctermfg=239
hi def vdContainerfile ctermfg=155
hi def vdDockerfile ctermfg=155
hi def vdHISTORY ctermfg=220;1
hi def vdINSTALL ctermfg=220;1
hi def vdLICENSE ctermfg=220;1
hi def vdLICENSEmd ctermfg=220;1
hi def vdLSCOLORS ctermfg=48;5;89;197;1;3;4;7
hi def vdMANIFEST ctermfg=243
hi def vdMakefile ctermfg=155
hi def vdNOTICE ctermfg=220;1
hi def vdPATENTS ctermfg=220;1
hi def vdPkgInfo ctermfg=239
hi def vdREADME ctermfg=220;1
hi def vdREADMEmd ctermfg=220;1
hi def vdREADMErst ctermfg=220;1
hi def vdVERSION ctermfg=220;1
hi def vdauthorizedkeys ctermfg=1
hi def vdcfg ctermfg=1
hi def vdconf ctermfg=1
hi def vdconfig ctermfg=1
hi def vdcore ctermfg=241
hi def vdiddsa ctermfg=192;3
hi def vdidecdsa ctermfg=192;3
hi def vdided25519 ctermfg=192;3
hi def vdidrsa ctermfg=192;3
hi def vdknownhosts ctermfg=1
hi def vdlock ctermfg=248
hi def vdlockfile ctermfg=248
hi def vdpmtoblib ctermfg=240
hi def vdrc ctermfg=1
hi def vd1p ctermfg=7
hi def vd32x ctermfg=213
hi def vd3g2 ctermfg=115
hi def vd3ga ctermfg=137;1
hi def vd3gp ctermfg=115
hi def vd3p ctermfg=7
hi def vd82p ctermfg=121
hi def vd83p ctermfg=121
hi def vd8eu ctermfg=121
hi def vd8xe ctermfg=121
hi def vd8xp ctermfg=121
hi def vdA64 ctermfg=213
hi def vdBAT ctermfg=172
hi def vdBUP ctermfg=241
hi def vdC ctermfg=81
hi def vdCFUserTextEncoding ctermfg=239
hi def vdDSStore ctermfg=239
hi def vdF ctermfg=81
hi def vdF03 ctermfg=81
hi def vdF08 ctermfg=81
hi def vdF90 ctermfg=81
hi def vdF95 ctermfg=81
hi def vdH ctermfg=110
hi def vdIFO ctermfg=114
hi def vdJPG ctermfg=97
hi def vdM ctermfg=110
hi def vdMOV ctermfg=114
hi def vdPDF ctermfg=141
hi def vdPFA ctermfg=66
hi def vdPL ctermfg=160
hi def vdR ctermfg=49
hi def vdRData ctermfg=178
hi def vdRproj ctermfg=11
hi def vdS ctermfg=110
hi def vdS3M ctermfg=137;1
hi def vdSKIP ctermfg=244
hi def vdTIFF ctermfg=97
hi def vdVOB ctermfg=115;1
hi def vda00 ctermfg=213
hi def vda52 ctermfg=213
hi def vda64 ctermfg=213
hi def vda78 ctermfg=213
hi def vdaac ctermfg=137;1
hi def vdaccdb ctermfg=60
hi def vdaccde ctermfg=60
hi def vdaccdr ctermfg=60
hi def vdaccdt ctermfg=60
hi def vdadf ctermfg=213
hi def vdadoc ctermfg=184
hi def vdafm ctermfg=66
hi def vdagda ctermfg=81
hi def vdagdai ctermfg=110
hi def vdahk ctermfg=41
hi def vdai ctermfg=99
hi def vdaiff ctermfg=136;1
hi def vdalac ctermfg=136;1
hi def vdallow ctermfg=112
hi def vdam ctermfg=242
hi def vdamr ctermfg=137;1
hi def vdape ctermfg=136;1
hi def vdapk ctermfg=215
hi def vdapplication ctermfg=116
hi def vdaria2 ctermfg=241
hi def vdasc ctermfg=192;3
hi def vdasciidoc ctermfg=184
hi def vdasf ctermfg=115
hi def vdasm ctermfg=81
hi def vdass ctermfg=117
hi def vdastro ctermfg=135;1
hi def vdatr ctermfg=213
hi def vdau ctermfg=137;1
hi def vdautomount ctermfg=45
hi def vdavi ctermfg=114
hi def vdawk ctermfg=172
hi def vdbak ctermfg=241
hi def vdbash ctermfg=172
hi def vdbashlogin ctermfg=1
hi def vdbashlogout ctermfg=1
hi def vdbashprofile ctermfg=1
hi def vdbat ctermfg=172
hi def vdbfe ctermfg=192;3
hi def vdbib ctermfg=178
hi def vdbin ctermfg=124
hi def vdbmp ctermfg=97
hi def vdbsp ctermfg=215
hi def vdc ctermfg=81
hi def vdc ctermfg=81
hi def vdcab ctermfg=215
hi def vdcaf ctermfg=137;1
hi def vdcap ctermfg=29
hi def vdcar ctermfg=57
hi def vdcbr ctermfg=141
hi def vdcbz ctermfg=141
hi def vdcc ctermfg=81
hi def vdcda ctermfg=136;1
hi def vdcdi ctermfg=213
hi def vdcdr ctermfg=97
hi def vdchm ctermfg=141
hi def vdcjs ctermfg=074;1
hi def vdcl ctermfg=81
hi def vdclj ctermfg=41
hi def vdcljc ctermfg=41
hi def vdcljs ctermfg=41
hi def vdcljw ctermfg=41
hi def vdcnc ctermfg=7
hi def vdcoffee ctermfg=079;1
hi def vdcomp ctermfg=136
hi def vdcontainerignore ctermfg=240
hi def vdcp ctermfg=81
hi def vdcpp ctermfg=81
hi def vdcr ctermfg=81
hi def vdcrx ctermfg=215
hi def vdcs ctermfg=81
hi def vdcss ctermfg=105;1
hi def vdcsv ctermfg=78
hi def vdctp ctermfg=81
hi def vdcue ctermfg=116
hi def vdcxx ctermfg=81
hi def vddart ctermfg=51
hi def vddat ctermfg=137;1
hi def vddb ctermfg=60
hi def vddeb ctermfg=215
hi def vddef ctermfg=7
hi def vddeny ctermfg=196
hi def vddescription ctermfg=116
hi def vddevice ctermfg=45
hi def vddhall ctermfg=178
hi def vddicom ctermfg=97
hi def vddiff ctermfg=48;5;197;232
hi def vddirectory ctermfg=116
hi def vddivx ctermfg=114
hi def vddjvu ctermfg=141
hi def vddll ctermfg=241
hi def vddmg ctermfg=215
hi def vddmp ctermfg=29
hi def vddoc ctermfg=111
hi def vddockerignore ctermfg=240
hi def vddocm ctermfg=111;4
hi def vddocx ctermfg=111
hi def vddrw ctermfg=99
hi def vddtd ctermfg=178
hi def vddts ctermfg=137;1
hi def vddump ctermfg=241
hi def vddwg ctermfg=216
hi def vddylib ctermfg=241
hi def vdear ctermfg=215
hi def vdejs ctermfg=135;1
hi def vdel ctermfg=81
hi def vdelc ctermfg=241
hi def vdeln ctermfg=241
hi def vdeml ctermfg=90;1
hi def vdenc ctermfg=192;3
hi def vdentitlements ctermfg=1
hi def vdepf ctermfg=1
hi def vdeps ctermfg=99
hi def vdepsf ctermfg=99
hi def vdepub ctermfg=141
hi def vderr ctermfg=160;1
hi def vderror ctermfg=160;1
hi def vdetx ctermfg=184
hi def vdex ctermfg=7
hi def vdexample ctermfg=7
hi def vdf ctermfg=81
hi def vdf03 ctermfg=81
hi def vdf08 ctermfg=81
hi def vdf4v ctermfg=115
hi def vdf90 ctermfg=81
hi def vdf95 ctermfg=81
hi def vdfcm ctermfg=137;1
hi def vdfeature ctermfg=7
hi def vdfish ctermfg=172
hi def vdflac ctermfg=136;1
hi def vdflif ctermfg=97
hi def vdflv ctermfg=115
hi def vdfm2 ctermfg=213
hi def vdfmp12 ctermfg=60
hi def vdfnt ctermfg=66
hi def vdfon ctermfg=66
hi def vdfor ctermfg=81
hi def vdfp7 ctermfg=60
hi def vdfrag ctermfg=136
hi def vdftn ctermfg=81
hi def vdfvd ctermfg=124
hi def vdfxml ctermfg=178
hi def vdgb ctermfg=213
hi def vdgba ctermfg=213
hi def vdgbc ctermfg=213
hi def vdgbr ctermfg=7
hi def vdgel ctermfg=213
hi def vdgemspec ctermfg=41
hi def vdger ctermfg=7
hi def vdgg ctermfg=213
hi def vdggl ctermfg=213
hi def vdgif ctermfg=97
hi def vdgit ctermfg=197
hi def vdgitattributes ctermfg=240
hi def vdgithub ctermfg=197
hi def vdgitignore ctermfg=240
hi def vdgitmodules ctermfg=240
hi def vdgo ctermfg=81
hi def vdgp3 ctermfg=115
hi def vdgp4 ctermfg=115
hi def vdgpg ctermfg=192;3
hi def vdgs ctermfg=81
hi def vdh ctermfg=110
hi def vdh ctermfg=110
hi def vdhi ctermfg=110
hi def vdhiddencolorscheme ctermfg=1
hi def vdhiddentmTheme ctermfg=1
hi def vdhin ctermfg=242
hi def vdhjson ctermfg=178
hi def vdhpp ctermfg=110
hi def vdhs ctermfg=81
hi def vdhtm ctermfg=125;1
hi def vdhtml ctermfg=125;1
hi def vdhttp ctermfg=90;1
hi def vdhxx ctermfg=110
hi def vdicns ctermfg=97
hi def vdico ctermfg=97
hi def vdics ctermfg=7
hi def vdii ctermfg=110
hi def vdimg ctermfg=124
hi def vdiml ctermfg=166
hi def vdin ctermfg=242
hi def vdinfo ctermfg=184
hi def vdini ctermfg=1
hi def vdipa ctermfg=215
hi def vdipk ctermfg=213
hi def vdipynb ctermfg=41
hi def vdiso ctermfg=124
hi def vdj64 ctermfg=213
hi def vdjad ctermfg=215
hi def vdjar ctermfg=215
hi def vdjava ctermfg=079;1
hi def vdjhtm ctermfg=125;1
hi def vdjpeg ctermfg=97
hi def vdjpg ctermfg=97
hi def vdjs ctermfg=074;1
hi def vdjsm ctermfg=079;1
hi def vdjson ctermfg=178
hi def vdjson5 ctermfg=178
hi def vdjsonc ctermfg=178
hi def vdjsonl ctermfg=178
hi def vdjsonnet ctermfg=178
hi def vdjsp ctermfg=079;1
hi def vdjsx ctermfg=074;1
hi def vdjxl ctermfg=97
hi def vdkak ctermfg=172
hi def vdkey ctermfg=166
hi def vdlagda ctermfg=81
hi def vdlagdamd ctermfg=81
hi def vdlagdarst ctermfg=81
hi def vdlagdatex ctermfg=81
hi def vdlastrun ctermfg=1
hi def vdless ctermfg=105;1
hi def vdlhs ctermfg=81
hi def vdlibsonnet ctermfg=142
hi def vdlisp ctermfg=81
hi def vdlnk ctermfg=39
hi def vdlocalized ctermfg=239
hi def vdlocalstorage ctermfg=60
hi def vdlog ctermfg=190
hi def vdlua ctermfg=81
hi def vdm ctermfg=110
hi def vdm2v ctermfg=114
hi def vdm3u ctermfg=116
hi def vdm3u8 ctermfg=116
hi def vdm4 ctermfg=242
hi def vdm4a ctermfg=137;1
hi def vdm4v ctermfg=114
hi def vdmap ctermfg=7
hi def vdmarkdown ctermfg=184
hi def vdmd ctermfg=184
hi def vdmd5 ctermfg=116
hi def vdmdb ctermfg=60
hi def vdmde ctermfg=60
hi def vdmdump ctermfg=241
hi def vdmdx ctermfg=184
hi def vdmergedcabundle ctermfg=1
hi def vdmf ctermfg=7
hi def vdmfasl ctermfg=7
hi def vdmht ctermfg=125;1
hi def vdmi ctermfg=7
hi def vdmid ctermfg=136;1
hi def vdmidi ctermfg=136;1
hi def vdmjs ctermfg=074;1
hi def vdmkd ctermfg=184
hi def vdmkv ctermfg=114
hi def vdml ctermfg=81
hi def vdmm ctermfg=7
hi def vdmobi ctermfg=141
hi def vdmod ctermfg=137;1
hi def vdmoon ctermfg=81
hi def vdmount ctermfg=45
hi def vdmov ctermfg=114
hi def vdmp3 ctermfg=137;1
hi def vdmp4 ctermfg=114
hi def vdmp4a ctermfg=137;1
hi def vdmpeg ctermfg=114
hi def vdmpg ctermfg=114
hi def vdmsg ctermfg=178
hi def vdmsql ctermfg=222
hi def vdmtx ctermfg=7
hi def vdmustache ctermfg=135;1
hi def vdmysql ctermfg=222
hi def vdnc ctermfg=60
hi def vdndjson ctermfg=178
hi def vdnds ctermfg=213
hi def vdnes ctermfg=213
hi def vdnfo ctermfg=184
hi def vdnib ctermfg=57
hi def vdnim ctermfg=81
hi def vdnimble ctermfg=81
hi def vdnix ctermfg=155
hi def vdnorg ctermfg=184
hi def vdnrg ctermfg=124
hi def vdnth ctermfg=97
hi def vdnumbers ctermfg=112
hi def vdo ctermfg=241
hi def vdodb ctermfg=111
hi def vdodp ctermfg=166
hi def vdods ctermfg=112
hi def vdodt ctermfg=111
hi def vdoga ctermfg=137;1
hi def vdogg ctermfg=137;1
hi def vdogm ctermfg=114
hi def vdogv ctermfg=115
hi def vdold ctermfg=242
hi def vdopus ctermfg=137;1
hi def vdorg ctermfg=184
hi def vdorig ctermfg=241
hi def vdotf ctermfg=66
hi def vdout ctermfg=242
hi def vdp12 ctermfg=192;3
hi def vdp7s ctermfg=192;3
hi def vdpacnew ctermfg=33
hi def vdpages ctermfg=111
hi def vdpak ctermfg=215
hi def vdpart ctermfg=239
hi def vdpatch ctermfg=48;5;197;232;1
hi def vdpath ctermfg=45
hi def vdpbxproj ctermfg=1
hi def vdpc ctermfg=7
hi def vdpcap ctermfg=29
hi def vdpcb ctermfg=7
hi def vdpcf ctermfg=1
hi def vdpcm ctermfg=136;1
hi def vdpdf ctermfg=141
hi def vdpem ctermfg=192;3
hi def vdpfa ctermfg=66
hi def vdpfb ctermfg=66
hi def vdpfm ctermfg=66
hi def vdpgn ctermfg=178
hi def vdpgp ctermfg=192;3
hi def vdpgsql ctermfg=222
hi def vdphp ctermfg=81
hi def vdpi ctermfg=7
hi def vdpid ctermfg=248
hi def vdpk3 ctermfg=215
hi def vdpl ctermfg=208
hi def vdplist ctermfg=1
hi def vdplt ctermfg=7
hi def vdply ctermfg=216
hi def vdpm ctermfg=203
hi def vdpng ctermfg=97
hi def vdpod ctermfg=184
hi def vdpot ctermfg=7
hi def vdpps ctermfg=166
hi def vdppt ctermfg=166
hi def vdppts ctermfg=166
hi def vdpptsm ctermfg=166;4
hi def vdpptx ctermfg=166
hi def vdpptxm ctermfg=166;4
hi def vdprisma ctermfg=222
hi def vdprofile ctermfg=1
hi def vdproperties ctermfg=116
hi def vdprql ctermfg=222
hi def vdps ctermfg=99
hi def vdpsd ctermfg=97
hi def vdpsf ctermfg=1
hi def vdpug ctermfg=135;1
hi def vdpxd ctermfg=97
hi def vdpxm ctermfg=97
hi def vdpy ctermfg=41
hi def vdpyc ctermfg=240
hi def vdqcow ctermfg=124
hi def vdr ctermfg=49
hi def vdr0902 ctermfg=239
hi def vdrake ctermfg=155
hi def vdrb ctermfg=41
hi def vdrdata ctermfg=178
hi def vdrdf ctermfg=7
hi def vdrkt ctermfg=81
hi def vdrlib ctermfg=241
hi def vdrmvb ctermfg=114
hi def vdrnc ctermfg=178
hi def vdrng ctermfg=178
hi def vdrom ctermfg=213
hi def vdrpm ctermfg=215
hi def vdrs ctermfg=81
hi def vdrss ctermfg=178
hi def vdrst ctermfg=184
hi def vdrstheme ctermfg=1
hi def vdrtf ctermfg=111
hi def vdru ctermfg=7
hi def vds ctermfg=110
hi def vds3m ctermfg=137;1
hi def vdsample ctermfg=114
hi def vdsass ctermfg=105;1
hi def vdsassc ctermfg=244
hi def vdsav ctermfg=213
hi def vdsc ctermfg=41
hi def vdscala ctermfg=41
hi def vdscan ctermfg=242
hi def vdsch ctermfg=7
hi def vdscm ctermfg=7
hi def vdscpt ctermfg=219
hi def vdscss ctermfg=105;1
hi def vdsed ctermfg=172
hi def vdservice ctermfg=45
hi def vdsfv ctermfg=116
hi def vdsgml ctermfg=178
hi def vdsh ctermfg=172
hi def vdsid ctermfg=137;1
hi def vdsig ctermfg=192;3
hi def vdsignature ctermfg=192;3
hi def vdsis ctermfg=7
hi def vdsms ctermfg=213
hi def vdsnapshot ctermfg=45
hi def vdsocket ctermfg=45
hi def vdsparseimage ctermfg=124
hi def vdspl ctermfg=7
hi def vdspv ctermfg=217
hi def vdsql ctermfg=222
hi def vdsqlite ctermfg=60
hi def vdsrt ctermfg=117
hi def vdssa ctermfg=117
hi def vdst ctermfg=213
hi def vdstackdump ctermfg=241
hi def vdstate ctermfg=248
hi def vdstderr ctermfg=160;1
hi def vdstl ctermfg=216
hi def vdstoryboard ctermfg=196
hi def vdstrings ctermfg=1
hi def vdsty ctermfg=7
hi def vdsub ctermfg=117
hi def vdsublimebuild ctermfg=1
hi def vdsublimecommands ctermfg=1
hi def vdsublimekeymap ctermfg=1
hi def vdsublimeproject ctermfg=1
hi def vdsublimesettings ctermfg=1
hi def vdsublimesnippet ctermfg=1
hi def vdsublimeworkspace ctermfg=1
hi def vdsug ctermfg=7
hi def vdsup ctermfg=117
hi def vdsvelte ctermfg=135;1
hi def vdsvg ctermfg=99
hi def vdswap ctermfg=45
hi def vdswift ctermfg=219
hi def vdswo ctermfg=244
hi def vdswp ctermfg=244
hi def vdsx ctermfg=81
hi def vdt ctermfg=114
hi def vdtarget ctermfg=45
hi def vdtcc ctermfg=110
hi def vdtcl ctermfg=64;1
hi def vdtdy ctermfg=7
hi def vdtex ctermfg=184
hi def vdtextile ctermfg=184
hi def vdtf ctermfg=168
hi def vdtfm ctermfg=7
hi def vdtfnt ctermfg=7
hi def vdtfstate ctermfg=168
hi def vdtfvars ctermfg=168
hi def vdtg ctermfg=7
hi def vdtheme ctermfg=116
hi def vdtif ctermfg=97
hi def vdtiff ctermfg=97
hi def vdtimer ctermfg=45
hi def vdtmTheme ctermfg=1
hi def vdtmp ctermfg=244
hi def vdtoast ctermfg=124
hi def vdtoml ctermfg=178
hi def vdtorrent ctermfg=116
hi def vdts ctermfg=074;1
hi def vdtsv ctermfg=78
hi def vdtsx ctermfg=074;1
hi def vdttf ctermfg=66
hi def vdtwig ctermfg=81
hi def vdtxt ctermfg=253
hi def vdtypelib ctermfg=60
hi def vdun ctermfg=241
hi def vdurlview ctermfg=116
hi def vdusercabundle ctermfg=1
hi def vdv ctermfg=81
hi def vdvala ctermfg=81
hi def vdvapi ctermfg=81
hi def vdvb ctermfg=81
hi def vdvba ctermfg=81
hi def vdvbs ctermfg=81
hi def vdvcard ctermfg=7
hi def vdvcd ctermfg=124
hi def vdvcf ctermfg=7
hi def vdvdf ctermfg=215
hi def vdvdi ctermfg=124
hi def vdvert ctermfg=136
hi def vdvfd ctermfg=124
hi def vdvhd ctermfg=124
hi def vdvhdx ctermfg=124
hi def vdvim ctermfg=172
hi def vdviminfo ctermfg=1
hi def vdvmdk ctermfg=124
hi def vdvob ctermfg=115;1
hi def vdvpk ctermfg=215
hi def vdvtt ctermfg=117
hi def vdvue ctermfg=135;1
hi def vdwar ctermfg=215
hi def vdwav ctermfg=136;1
hi def vdwebloc ctermfg=116
hi def vdwebm ctermfg=115
hi def vdwebp ctermfg=97
hi def vdwgsl ctermfg=97
hi def vdwma ctermfg=137;1
hi def vdwmv ctermfg=114
hi def vdwoff ctermfg=66
hi def vdwoff2 ctermfg=66
hi def vdwrl ctermfg=216
hi def vdwv ctermfg=136;1
hi def vdwvc ctermfg=136;1
hi def vdxcconfig ctermfg=1
hi def vdxcf ctermfg=7
hi def vdxcsettings ctermfg=1
hi def vdxcuserstate ctermfg=1
hi def vdxcworkspacedata ctermfg=1
hi def vdxib ctermfg=208
hi def vdxla ctermfg=76
hi def vdxln ctermfg=7
hi def vdxls ctermfg=112
hi def vdxlsx ctermfg=112
hi def vdxlsxm ctermfg=112;4
hi def vdxltm ctermfg=73;4
hi def vdxltx ctermfg=73
hi def vdxml ctermfg=178
hi def vdxpi ctermfg=215
hi def vdxpm ctermfg=97
hi def vdxsd ctermfg=178
hi def vdxsh ctermfg=41
hi def vdyaml ctermfg=178
hi def vdyml ctermfg=178
hi def vdz0902 ctermfg=239
hi def vdzcompdump ctermfg=241
hi def vdzig ctermfg=81
hi def vdzlogin ctermfg=1
hi def vdzlogout ctermfg=1
hi def vdzprofile ctermfg=1
hi def vdzsh ctermfg=172
hi def vdzshenv ctermfg=1
hi def vdzwc ctermfg=241
hi def vdzx0902 ctermfg=239


" #placeholder<ls_colors> END
